Tamio

List all customers

GET https://api.tamio.com/v2/customers/list

Returns a paginated list of customers. Supports filtering by name, email, country, date range, teammate, automation, product, and affiliate program. Leads can be optionally included via the include_leads parameter.

Query Parameters

page integer*
per_page integer*
order string
ascdesc
sort_by string
nameemailcountrycreated_at
filter string

Search by name, email, or other fields

from string

Start date filter (ISO 8601 or unix timestamp)

to string

End date filter (ISO 8601 or unix timestamp)

include_leads boolean

Whether to include leads in the results

teammate_id string

Filter by assigned teammate UUID

automation_id string

Filter by automation UUID

product_id string

Filter by product UUID

affiliate_program_id string

Filter by affiliate program UUID

affiliate_program_partner_id string

Filter by affiliate program partner UUID

countries[] array of string

Filter by country codes

Responses

200 Customers listed successfully

Customers listed successfully

status integer
total_results integer
customers array of Customer
id string
object string
email string
name string
last_name string
country string
locale string
timezone_offset string
phone string
stripe_customer_id string
teammate_id string
affiliate_partner_id string
has_notes boolean
created_at integer

Unix timestamp

billing_addresses array of Address

Customer billing addresses

id string
object string
name string
last_name string
email string
address string
city string
postcode string
state string
country string
locale string
phone string
company string
message string
shipping_address boolean
is_company boolean

Only present on billing addresses

vat string

Only present on billing addresses

verified_vat boolean

Only present on billing addresses

custom_billing_fields object

Additional custom billing fields for this address

shipping_addresses array of Address

Customer shipping addresses

id string
object string
name string
last_name string
email string
address string
city string
postcode string
state string
country string
locale string
phone string
company string
message string
shipping_address boolean
is_company boolean

Only present on billing addresses

vat string

Only present on billing addresses

verified_vat boolean

Only present on billing addresses

custom_billing_fields object

Additional custom billing fields for this address

direct_debits array of DirectDebit
currency string

The currency of the mandate

provider string
gocardless
client_id string
category string

Customer category label for segmentation

400 Validation or business-logic error.
401 Unauthorized – invalid or missing Bearer token
/customers/list
1const response = await fetch("https://api.tamio.com/v2/customers/list", {
2 headers: {
3 "Authorization": "Bearer YOUR_API_KEY",
4 "Accept": "application/json"
5 }
6});
7const data = await response.json();
Responses
{
  "status": 200,
  "total_results": 150,
  "customers": [
    {
      "id": "550e8400-e29b-41d4-a716-446655440000",
      "object": "customer",
      "email": "[email protected]",
      "name": "John",
      "last_name": "Doe",
      "country": "de",
      "locale": "en",
      "timezone_offset": "+00:00",
      "phone": "+49123456789",
      "stripe_customer_id": "cus_P2BjgLkL",
      "teammate_id": "cc6e91ea-0275-408a-8106-25f0e3fcbd83",
      "affiliate_partner_id": "bb6e91ea-0275-408a-8106-25f0e3fcbd82",
      "has_notes": false,
      "created_at": 1700000000,
      "billing_addresses": [
        {
          "id": "0380f2d4-1a26-4074-8b6b-87b64f3d1b6e",
          "object": "address",
          "name": "John",
          "last_name": "Doe",
          "email": "[email protected]",
          "address": "123 Main St",
          "city": "New York",
          "postcode": "10001",
          "state": "NY",
          "country": "us",
          "locale": "en",
          "phone": "+441234567890",
          "company": "Tamio Inc",
          "message": "Leave at front door",
          "shipping_address": false,
          "is_company": true,
          "vat": "US12345678",
          "verified_vat": true,
          "custom_billing_fields": {}
        }
      ],
      "shipping_addresses": [
        {
          "id": "0380f2d4-1a26-4074-8b6b-87b64f3d1b6e",
          "object": "address",
          "name": "John",
          "last_name": "Doe",
          "email": "[email protected]",
          "address": "123 Main St",
          "city": "New York",
          "postcode": "10001",
          "state": "NY",
          "country": "us",
          "locale": "en",
          "phone": "+441234567890",
          "company": "Tamio Inc",
          "message": "Leave at front door",
          "shipping_address": false,
          "is_company": true,
          "vat": "US12345678",
          "verified_vat": true,
          "custom_billing_fields": {}
        }
      ],
      "direct_debits": [
        {
          "currency": "EUR",
          "provider": "gocardless"
        }
      ],
      "client_id": "aa6e91ea-0275-408a-8106-25f0e3fcbd81",
      "category": "VIP"
    }
  ]
}